<?
//wordtrans.php
//session_name("wordtrans.php");
session_register("lang");
session_register("all_dicts");
session_register("visitas");
session_register("advanced");

if ($noadvanced) {
	session_unregister("advanced");
	$advanced=0;
}
?>

<head>
<title>
<?
$dict=ereg_replace("[^[:alnum:]-]","",$dict);
if ($word == "") {
	if ($lang == "es") 
		echo "Interfaz Web de Wordtrans";
	else
		echo "Wordtrans Web Interface";
} else {
	if ($lang == "es") 
		echo "Bsqueda de \"$word\" en diccionario \"$dict\"";
	else
		echo "Search of \"$word\" in dictionary \"$dict\"";
}
?>
</title>
</head>

<body bgcolor="#FFFFFF">

<!--
header("Content-Type:  text/html");
passthru("HOME=/home/ricardo LC_ALL=es_ES wordtrans --html -d \"$dict\" \"$word\"");
-->

<?
//Main

//Inicializacin variables
if ($lang=="es") $lc_all="es_ES"; else $lc_all="en";
$wordtrans="LC_ALL=$lc_all wordtrans --conf /etc/wordtrans --html-base wordtrans.php --html ";

//Da un valor por defecto a $dict
if ($dict == "") $dict="i2e";

//Funciones php
function seleccionado($cadena) {
	global $dict;
	if ($dict == $cadena) 
		return "selected";
	else
		return "";
}

function checked($cadena) {
	if ($cadena) 
		return "checked";
	else
		return "";
}

function lee_all_dicts($forzar=0) {
	global $wordtrans;
	global $all_dicts;
	if ( (count($all_dicts)!=0) && ($forzar==0) ) return;
	$exec_wordtrans = $wordtrans . "--dicts ";
	//echo $exec_wordtrans;
	exec($exec_wordtrans, $dicts);
	for ($n=2; $n < count( $dicts ); $n++ ) {
		$all_dicts[$n-2]=strtok($dicts[$n]," ");
		//echo "linea $n: $all_dicts[$n]<br>";
	}
}

function genera_opciones() {
	global $all_dicts;
	lee_all_dicts();
	for ($n=0; $n < count( $all_dicts ); $n++ ) {
		$d=$all_dicts[$n];
		$s=seleccionado($d);
		echo "<option value=\"$d\" $s>$d\n";
	}
}

?>

<center>
<img src="wordtrans.jpg">
</center>
<br>

<?
//echo "Advanced= $advanced <br>";
if ($advanced == 1)
	include("form2.php");
else
	include("form1.php");
?>

<hr>

<?
//Main
$visitas++;
$exec_wordtrans = $wordtrans . "-d \"$dict\" ";

switch ($command) {
	case "show_desc":
		//echo "show_desc<br>";
		$exec_wordtrans .= "--desc ";
		passthru($exec_wordtrans);
		break;

	case "info_server":
		//echo "info_server<br>";
		$exec_wordtrans .= "--info-server ";
		passthru($exec_wordtrans);
		break;

	case "info_dict":
		//echo "info_dict<br>";
		$exec_wordtrans .= "--info-dict ";
		passthru($exec_wordtrans);
		break;

	case "show_dicts":
		//echo "show_dicts<br>";
		lee_all_dicts(1);
		echo "<h3>Diccionarios disponibles:</h3>\n";
		for ($n=0; $n < count( $all_dicts ); $n++ ) {
			echo "$all_dicts[$n]<br>";
		}
		break;

	case "php_info":
		phpinfo();		

	default:
		//echo "default<br>";
		if ($word != "") {
			if ($fullwords) $exec_wordtrans .= " +w "; else $exec_wordtrans .= " -w ";
			if ($casesensitive) $exec_wordtrans .= " +c "; else $exec_wordtrans .= " -c ";
			if ($invertir) $exec_wordtrans .= " +i "; else $exec_wordtrans .= " -i ";
			if ($noacentos) $exec_wordtrans .= " +g "; else $exec_wordtrans .= " -g ";

			$exec_wordtrans .= "\"$word\"";

			//echo "Comando: $exec_wordtrans<br>";
			passthru($exec_wordtrans);
		} else {
			introduccion();
			/*
			echo "<h2>Bienvenido al interfaz web de Wordtrans.</h2>\n";
			echo "<p>El funcionamiente es muy simple, sencillamente teclea ";
            echo "la palabra que desees buscar. ";
			echo "Si seleccionas el enlace <i>bsqueda avanzada</i> ";
            echo "tendrs acceso a ms opciones, aunque slo tendrn ";
			echo "efecto con los diccionarios <i>i2e</i> y <i>de-en</i>.</p>\n";
			echo "<p>Es muy aconsejable que actives las cookies en tu ";
			echo "navegador, ya que de este modo las consultas sern ms ";
            echo "rpidas.</p>\n";
			echo "<p>Esta pgina todava es muy simple, as que no esperes ";
			echo "grandes cosas.</p>";
			//echo "<p>Has hecho $visitas consultas.</p>\n";
			echo "<p>Este interfaz web, como el resto del wordtrans, est ";
            echo "bajo licencia GPL.</p>";
			echo "<p><b>Note for English users:</b> at this moment, this web ";
            echo "interface is only available in Spanish. Sorry for the ";
			echo "inconvenience. ";
			echo "This web interface, as the rest of wordtrans, is under the ";
            echo "GPL.</p>";
			echo "<hr>";
			echo "(c) 2001 Ricardo Villalba";
			*/
		}
}
?>


</body>
